Subject: Re: [PATCH net-next 09/12] net/mlx5: Compare with old_dest param to modify rule destination

From: Leon Romanovsky <[email-masked]>
Date: Fri, 14 Jul 2023 21:40:13 +0300

On Thu, Jul 13, 2023 at 08:17:27PM -0700, Jakub Kicinski wrote:
> On Thu, 13 Jul 2023 21:58:33 +0300 Leon Romanovsky wrote:
> > > TC packet rewrites or IPsec comes first?  
> > 
> > In theory, we support any order, but in real life I don't think that TC
> > before IPsec is really valuable.
> 
> I asked the question poorly. To clearer, you're saying that:
> 
> a)  host <-> TC <-> IPsec <-> "wire"/switch
>   or
> b)  host <-> IPsec <-> TC <-> "wire"/switch
> 
> ?

It depends on configuration order, if user configures TC first, it will
be a), if he/she configures IPsec first, it will be b).

I just think that option b) is really matters.

Thanks